"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require("react");

var Mastercard = function (_React$PureComponent) {
  _inherits(Mastercard, _React$PureComponent);

  function Mastercard() {
    _classCallCheck(this, Mastercard);

    return _possibleConstructorReturn(this, (Mastercard.__proto__ || Object.getPrototypeOf(Mastercard)).apply(this, arguments));
  }

  _createClass(Mastercard, [{
    key: "render",
    value: function render() {
      return React.createElement(
        "svg",
        _extends({}, this.props, { width: "45", height: "30", viewBox: "0 0 45 30" }),
        React.createElement("path", {
          d: "M3 .038h39c1.7 0 3 1.3 3 3v24c0 1.7-1.3 3-3 3H3c-1.7 0-3-1.3-3-3v-24c0-1.7 1.3-3 3-3z",
          fill: "#3c4e5a"
        }),
        React.createElement("path", {
          d: "M26 15.038a11 11 0 0 1-11 11 11 11 0 0 1-11-11 11 11 0 0 1 11-11 11 11 0 0 1 11 11z",
          fill: "#ee6565"
        }),
        React.createElement("path", {
          d: "M41 15.038a11 11 0 0 1-11 11 11 11 0 0 1-11-11 11 11 0 0 1 11-11 11 11 0 0 1 11 11z",
          fill: "#fa946e"
        }),
        React.createElement("path", {
          d: "M19.5 8.038c-.5.6-.9 1.3-1.3 2h6.6c-.4-.7-.8-1.4-1.3-2zm-2.1 4c-.2.6-.3 1.3-.4 2h8.9c-.1-.7-.2-1.4-.4-2zm-.4 4c.1.7.2 1.4.4 2h8.1c.2-.6.3-1.3.4-2zm1.2 4c.4.7.8 1.4 1.3 2h3.9c.5-.6.9-1.3 1.3-2z",
          fill: "#ee6565"
        })
      );
    }
  }]);

  return Mastercard;
}(React.PureComponent);

module.exports = Mastercard;