'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var styles = exports.styles = {
  primaryHeading: 'txt-h1-mm txt-h2 txt-fancy',
  secondaryHeading: 'txt-h2-mm txt-h3 txt-fancy',
  tertiaryHeading: 'txt-h3-mm txt-h4 txt-fancy',
  tertiaryHeadingLight: 'txt-h3',
  minorHeadingLight: 'txt-h4',
  minorHeading: 'txt-h4-mm txt-fancy txt-h5 mb6',
  navHeading: 'mb3 txt-uppercase txt-s txt-spacing1 txt-fancy color-darken50',
  bodyText: 'txt-l mb12',
  smallText: 'txt-m mb12',
  smallPrint: 'txt-s color-gray',
  controlText: 'txt-ms py3 px12 input',
  controlTextarea: 'txt-ms textarea hmin120',
  controlWrapper: 'block mb18 col col--12',
  label: 'txt-ms txt-bold',
  badge: 'txt-s px18 py6 txt-fancy txt-uppercase txt-spacing1 round-full inline-block',
  primaryButton: 'btn px24 py12 round-full txt-s',
  gridMajor: 'grid grid--gut36 grid--gut60-mm grid--gut120-mxl',
  grid: 'grid grid--gut24 grid--gut36-mm grid--gut60-mxl',
  gridMinor: 'grid grid--gut12 grid--gut18-mm grid--gut24-mxl',
  section: 'py36 py60-mm py120-xl',
  companySection: 'pt36 pt60-mm pt120-xl',
  secondaryButton: 'btn px24 py12 round-full txt-s btn--darken50 btn--stroke btn--stroke--2',
  smallSecondaryButton: 'btn btn--s py6 px18 txt-s btn--darken50 btn--stroke btn--stroke--2',
  docButton: 'txt-s bg-gray-faint py0 round color-gray-dark opacity75 border--gray-light px6 round-full border inline-block'
};