"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require("react");

var Discover = function (_React$PureComponent) {
  _inherits(Discover, _React$PureComponent);

  function Discover() {
    _classCallCheck(this, Discover);

    return _possibleConstructorReturn(this, (Discover.__proto__ || Object.getPrototypeOf(Discover)).apply(this, arguments));
  }

  _createClass(Discover, [{
    key: "render",
    value: function render() {
      return React.createElement(
        "svg",
        _extends({}, this.props, { width: "45", height: "30", viewBox: "0 0 45 30" }),
        React.createElement(
          "g",
          { transform: "translate(-150 -387.362)" },
          React.createElement("path", {
            d: "M153 387.4h39c1.7 0 3 1.3 3 3v24c0 1.7-1.3 3-3 3h-39c-1.7 0-3-1.3-3-3v-24c0-1.7 1.3-3 3-3z",
            fill: "#3a6b8c"
          }),
          React.createElement("path", {
            d: "M153 389.4h39c.6 0 1 .4 1 1v22l-3 3h-37c-.6 0-1-.4-1-1v-24c0-.6.4-1 1-1z",
            fill: "#fff"
          }),
          React.createElement("path", {
            d: "M154 394.4v6h1.8c1 0 1.7-.3 2.2-.8.5-.5.8-1.5.8-2.5 0-.9-.3-1.6-.7-2-.5-.5-1.2-.7-2.1-.7h-2zm5.6 0v6h1.4v-6h-1.4zm4.5 0c-.7 0-1.2.1-1.6.4-.4.3-.6.8-.6 1.3 0 .3 0 .5.1.8.1.2.2.4.4.5.2.2.5.3.8.5.4.2.7.3.8.4.1.1.2.1.2.2s.1.1.1.2 0 .2-.2.3c-.1.1-.3.1-.5.1-.3 0-.6 0-.9-.1-.3-.1-.5-.2-.8-.3v1.4c.3.1.4.2.7.3.3.1.6.1 1 .1.5 0 .8-.1 1.2-.2.3-.2.6-.4.8-.6.2-.3.3-.6.3-.9 0-.4-.1-.7-.3-1-.2-.3-.5-.5-1-.7-.5-.2-.9-.4-1-.5-.1-.1-.2-.2-.2-.3 0-.1 0-.3.1-.4.1-.1.2-.1.4-.1.4 0 .8.1 1.4.4l.5-1.2c-.6-.3-1.2-.4-1.8-.4zm5 0c-.6 0-1 .1-1.5.4-.4.2-.7.6-1 1-.2.4-.3 1.1-.3 1.7 0 .9.2 1.7.7 2.2.5.5 1.1.8 2 .8.6 0 1.1-.1 1.6-.3v-1.3c-.2.1-.5.2-.7.3-.2.1-.5.1-.7.1-.8 0-1.2-.6-1.2-1.7 0-.5.1-1 .3-1.3.2-.3.5-.4.8-.4.2 0 .5 0 .7.1l.6.3.5-1.2c-.6-.3-1.2-.4-1.8-.4zm8 0l1.8 6h1.8l1.9-6h-1.7l-.8 3.1c0 .2-.1.4-.2.7-.1.3-.1.5-.1.7 0-.3-.1-.7-.2-1.3l-.8-3.1h-1.7zm5.9 0v6h3.3v-1.3H184V398h2.2v-1.2H184v-.9h2.3v-1.4H183zm4 0v6h1.7v-2.2h.4l1.2 2.2h1.8l-1.7-2.6c.6-.4 1-.9 1-1.5 0-1.1-.8-1.9-2.3-1.9h-2zm-31.5 1.3h.5c.4 0 .7.1.9.4.2.3.3.6.3 1.2s-.1 1.3-.3 1.6c-.2.3-.6.4-1 .4h-.3v-3.5zm33.1.1h.3c.5 0 .8.2.8.6 0 .5-.3.7-.8.7h-.3v-1.3z",
            fill: "#3a6b8c"
          }),
          React.createElement("circle", { r: "3", cy: "397.4", cx: "174", fill: "#fa946e" }),
          React.createElement("path", { d: "M167 402.4h11l1 1v1l-1 1h-11l-1-1v-1z", fill: "#b2c2cc" }),
          React.createElement("path", { d: "M193 402.4l-28 13h27c.6 0 1-.4 1-1v-12z", fill: "#fa946e" })
        )
      );
    }
  }]);

  return Discover;
}(React.PureComponent);

module.exports = Discover;